Bug 136804 - lang/Ruby19 - 1.9 core-dumps when 'CTRL-C' is entered in irb19.
lang/Ruby19 - 1.9 core-dumps when 'CTRL-C' is entered in irb19.
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Stanislav Sedov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-15 22:30 UTC by gemiel
Modified: 2009-10-12 16:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gemiel 2009-07-15 22:30:03 UTC
Ruby core-dumps when 'CTRL-C' is entered in irb19. I only see
this behavior with zsh. Bash appears to do ok.

I'm not sure if this is a Ruby or a zsh issue. It has been reported to the Ruby
community which suspect it is a FreeBSD specific issue.

Please  see http://redmine.ruby-lang.org/issues/show/1118

I'll be happy to provide more information.

Fix: 

Ruby version 1.8 does not show this behaviour.
How-To-Repeat: ~ % which zsh
/usr/local/bin/zsh

~ % zsh --version
zsh 4.3.10 (amd64-portbld-freebsd7.2)

~ % echo $SHELL
/usr/local/bin/zsh

~ % which ruby19  
/usr/local/bin/ruby19

~ % ruby19 --version
ruby 1.9.1p129 (2009-05-12 revision 23412) [amd64-freebsd7]

~ % which irb19
/usr/local/bin/irb19

~ % irb19 --version
irb 0.9.5(05/04/13)

~ % irb19
irb(main):001:0> RUBY_DESCRIPTION
=> "ruby 1.9.1p129 (2009-05-12 revision 23412) [amd64-freebsd7]"
Comment 1 Edwin Groothuis freebsd_committer 2009-07-16 08:33:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stas

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 emiel 2009-07-22 21:55:13 UTC
Hello,

This issue has been resolved in the Ruby SVN repository (Revision  
24140).

It may be closed as far as I'm concerned.

Thanks,

  - Emiel van de Laar
Comment 3 dfilter freebsd_committer 2009-10-12 16:28:37 UTC
stas        2009-10-12 15:28:23 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.ruby.mk 
  Added files:
    lang/ruby19/files    patch-ext_readline_readline.c 
  Log:
  - Fix SIGINT signal handling.
  
  PR:             ports/136804
  Submitted by:   Emiel van de Laar <gemiel@gmail.com>
  Obtained from:  ruby-lang SVN
  
  Revision  Changes    Path
  1.189     +2 -2      ports/Mk/bsd.ruby.mk
  1.1       +21 -0     ports/lang/ruby19/files/patch-ext_readline_readline.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Stanislav Sedov freebsd_committer 2009-10-12 16:28:45 UTC
State Changed
From-To: open->closed

Committed. Thanks!